%define major   0
%define libname %mklibname zxcvbn %major
%define devname %mklibname zxcvbn -d

%global forgeurl https://github.com/tsyrogit/zxcvbn-c
Version:        2.5
%forgemeta

Name:           zxcvbn-c
Release:        %mkrel 2
Summary:        C/C++ version of the zxcvbn password strength estimator
Group:          System/Libraries
License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}
Patch1:         zxcvbn-c-32bit.patch
BuildRequires:  gcc-c++


%description
This is a C/C++ implementation of the zxcvbn password strength estimation.
The code is intended to be included as part of the source of a C/C++ program.


%package        -n %libname
Summary:        Library files for %{name}
Group:          System/Libraries

%description    -n %libname
The %{libname} package contains libraries for applications that use %{name}.

%package        -n %devname
Summary:        Development files for %{name}
Group:		Development/C
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description    -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%forgesetup
%autopatch -p1

%build
%set_build_flags
%make_build


%install
# Make install is currently broken
#%%make_install

%{__mkdir_p} %{buildroot}%{_libdir}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}{%{_includedir},%{_datadir}}/zxcvbn
install -p -m 0644 *.h %{buildroot}%{_includedir}/zxcvbn
cp -a libzxcvbn.so* %{buildroot}%{_libdir}
install -p -m 0755 dictgen %{buildroot}%{_bindir}
install -p -m 0644 zxcvbn.dict %{buildroot}%{_datadir}/zxcvbn


%check
make test


%files
%doc README.md
%license LICENSE.txt
%{_bindir}/dictgen
%{_datadir}/zxcvbn

%files -n %libname
%{_libdir}/libzxcvbn.so.%{major}{,.*}

%files -n %devname
%{_includedir}/zxcvbn/
%{_libdir}/libzxcvbn.so


%changelog
* Tue Sep 17 2024 neoclust <neoclust> 2.5-2.mga9
+ Revision: 2097779
- Add for libreoffice
+ wally <wally>
- add patch to fix build time warning on 32 bit arches

* Mon Apr 01 2024 wally <wally> 2.5-2.mga10
+ Revision: 2053655
- build on all supported arches
- build with our compiler flags and enable debug pkg

* Sun Mar 31 2024 tv <tv> 2.5-1.mga10
+ Revision: 2053497
- imported package zxcvbn-c


* Sun Mar 31 2024 Thierry Vignaud <tv@mageia.org> 2.5-1.mga10
- Import from FC

* Fri Dec 15 2023 Mattia Verga <mattia.verga@proton.me> - 2.5-1
- Initial release (fedora#2253977)
